/* ====================================================================
 * Copyright (c) 2006,      Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_TARGETID_H
#define _SC_TARGETID_H

// sc
#include "util/Id.h"

// qt
class QObject;


class TargetId
{
public:
  TargetId( QObject* o );
  virtual ~TargetId();

  ID getTid() const;
  
  static ID getTid( QObject* o );

private:
  ID _tid;
};

#endif // _SC_TARGETID_H
